Home

# Class goog.fs.FileWriter

An object for monitoring the saving of files, as well as other fine-grained writing operations. This should not be instantiated directly. Instead, it should be accessed via {@link goog.fs.FileEntry#createWriter}.

extends goog.fs.FileSaver

Instance Method Summary
| `getLength() ⇒ number`
| `getPosition() ⇒ number`
| `seek(number offset)` Set the file position at which the next write will occur.
| `truncate(number size)` Changes the length of the file to that specified.
| `write(!Blob blob)` Write data to the file.